<?xml version="1.0" encoding="Shift_JIS"?>

<project name="EntityCollaborator" default="compile" basedir=".">

	<!-- ソースファイルのディレクトリ -->
	<property name="src.dir" location="src" />

	<!-- Classファイルを出力するディレクトリ -->
	<property name="output" location="bin" />

	<!-- Configファイルの設置場所-->
	<property name="config" location="config" />

	<property name="dest" location="dest" />
	
	<!-- javadocの出力場所-->
	<property name="javadoc.dest" location="doc" />

	<!-- プロジェクト名 -->
	<property name="project" value="EntityCollaborator" />

	<path id="clspath">
		<fileset dir="lib/">
			<include name="*.jar" />
		</fileset>
	</path>

	<target name="init">
		<mkdir dir="${output}" />
		<mkdir dir="${config}" />
		<mkdir dir="${dest}" />
		<mkdir dir="${javadoc.dest}" />
	</target>

	<target name="compile" depends="init">
		<javac srcdir="${src.dir}" destdir="${output}" classpathref="clspath"  />
	</target>

	<!-- Javadoc作成 -->
	<target name="javadoc">
		<javadoc packagenames="*" sourcepath="${src.dir}" destdir="${javadoc.dest}">
		</javadoc>
	</target>


	<!-- - - - - - - - - - - - - - - - - - 
          target: jar                      
         - - - - - - - - - - - - - - - - - -->
	<target name="jar" depends="compile">
		<jar destfile="dest/EntityCollaborator.jar" basedir="${output}" >
			<manifest>
				<attribute name="Author" value="${user.name}" />
			</manifest>
		</jar>
	</target>



	<target name="clean">
		<delete dir="${classes.dir}" />
		<delete dir="${javadoc.dir}" />
		<delete dir="${plugin}" />
		<delete file="${jar.name}" />
	</target>


</project>
